summaryrefslogtreecommitdiffstats
path: root/scripts/sdks/agl/remove
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/sdks/agl/remove')
-rwxr-xr-xscripts/sdks/agl/remove32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/sdks/agl/remove b/scripts/sdks/agl/remove
new file mode 100755
index 0000000..99a4022
--- /dev/null
+++ b/scripts/sdks/agl/remove
@@ -0,0 +1,32 @@
+#!/bin/bash
+ ###########################################################################
+# Copyright 2017 IoT.bzh
+#
+# author: Sebastien Douheret <sebastien@iot.bzh>
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+###########################################################################
+
+. $(dirname "$0")/_env-init.sh
+
+if [[ "${1}" == "" || "${1}" != "${SDK_ROOT_DIR}"* ]]; then
+ echo "Invalid sdk root directory"
+ exit 1
+fi
+
+if [ ! -d "${1}" ]; then
+ echo "sdk directory doesn't exist"
+ exit 1
+fi
+
+rm -rf "${1}"